%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 20

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname pluggy 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        1.5.0
Release:        1
Summary:        Better living through Python with decorators 
License:        MIT
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
This is the plugin manager as used by pytest but stripped of pytest specific det
ails.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
#Nothing to build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m pytest

%endif


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Mon Jan 20 2025 Reshma V Kumar <reskumar@in.ibm.com> - 1.5.0-1
- Update to version 1.5.0

* Tue Jan 17 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 0.13.0-2
-pluggy  for python3.9

* Tue Dec 24 2019 Ashwini Chandrappa<ashwic22@in.ibm.com> -0.13.0
-Build with python3

* Thu Sep 21 2017 Ravi Hirekurabar <rhirekur@in.ibm.com> -0.4.0
- Initial Port

